Skip to main content
GET
/
campaigns
List campaigns
curl --request GET \
  --url https://api.mailrify.com/campaigns \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "subject": "<string>",
      "body": "<string>",
      "from": "[email protected]",
      "fromName": "<string>",
      "replyTo": "[email protected]",
      "audienceType": "ALL",
      "audienceCondition": {
        "logic": "AND",
        "groups": [
          {
            "filters": [
              {
                "field": "<string>",
                "operator": "equals",
                "value": "<unknown>",
                "unit": "days"
              }
            ],
            "conditions": "<unknown>"
          }
        ]
      },
      "segmentId": "<string>",
      "status": "DRAFT",
      "totalRecipients": 123,
      "sentCount": 123,
      "deliveredCount": 123,
      "openedCount": 123,
      "clickedCount": 123,
      "bouncedCount": 123,
      "scheduledFor": "2023-11-07T05:31:56Z",
      "sentAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "segment": {
        "id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "condition": {
          "logic": "AND",
          "groups": [
            {
              "filters": [
                {
                  "field": "<string>",
                  "operator": "equals",
                  "value": "<unknown>",
                  "unit": "days"
                }
              ],
              "conditions": "<unknown>"
            }
          ]
        },
        "trackMembership": true,
        "memberCount": 123,
        "projectId": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "page": 123,
  "pageSize": 123,
  "total": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

API Key authentication. Secret keys (sk_*) are required for all endpoints except /v1/track. Public keys (pk_*) only work with the /v1/track endpoint for client-side event tracking. The project is automatically derived from the key.

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
pageSize
integer
default:20

Items per page (max 100)

Required range: 1 <= x <= 100
status
enum<string>
Available options:
DRAFT,
SCHEDULED,
SENDING,
SENT,
CANCELLED

Response

200 - application/json

List of campaigns

data
object[]
page
integer
pageSize
integer
total
integer
totalPages
integer